import { Tree } from 'broccoli';
declare const UnitTestFilter_base: new (...args: any[]) => Tree;
export default class UnitTestFilter extends UnitTestFilter_base {
    inputPaths: string[];
    outputPath: string;
    baseDir: string;
    sourceRoot: string;
    bundleName: string;
    constructor(inputNode: Tree, options: {
        bundleName: string;
        baseDir?: string;
        sourceRoot?: string;
        annotation?: string;
    });
    build(): Promise<[{}, {}, {}, {}, {}]>;
    wrapFile(relativePath: string): Promise<void>;
}
